## com.imcode.imcms.mapping.orm
Class TemplateNames

    java.lang.Object
      com.imcode.imcms.mapping.orm.TemplateNames

All Implemented Interfaces:
  java.lang.Cloneable

    public class TemplateNames

extends java.lang.Object
implements java.lang.Cloneable

Text document templates names.

Constructor Summary
`TemplateNames()`

Method Summary
`TemplateNames` `clone()`
`java.lang.String` `getDefaultTemplateName()`
`java.lang.String` `getDefaultTemplateNameForRestricted1()`
`java.lang.String` `getDefaultTemplateNameForRestricted2()`
`java.lang.Long` `getId()`
`java.lang.Integer` `getMetaId()`
`int` `getTemplateGroupId()`
`java.lang.String` `getTemplateName()`
`void` `setDefaultTemplateName(java.lang.String defaultTemplateName)`
`void` `setDefaultTemplateNameForRestricted1(java.lang.String defaultTemplateNameForRestricted1)`
`void` `setDefaultTemplateNameForRestricted2(java.lang.String defaultTemplateNameForRestricted2)`
`void` `setId(java.lang.Long id)`
`void` `setMetaId(java.lang.Integer metaId)`
`void` `setTemplateGroupId(int templateGroupId)`
`void` `setTemplateName(java.lang.String templateName)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateNames

    public TemplateNames()

Method Detail

### clone

    public TemplateNames clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getTemplateName

    public java.lang.String getTemplateName()

### setTemplateName

    public void setTemplateName(java.lang.String templateName)

### getTemplateGroupId

    public int getTemplateGroupId()

### setTemplateGroupId

    public void setTemplateGroupId(int templateGroupId)

### getDefaultTemplateName

    public java.lang.String getDefaultTemplateName()

### setDefaultTemplateName

    public void setDefaultTemplateName(java.lang.String defaultTemplateName)

### getDefaultTemplateNameForRestricted1

    public java.lang.String getDefaultTemplateNameForRestricted1()

### setDefaultTemplateNameForRestricted1

    public void setDefaultTemplateNameForRestricted1(java.lang.String defaultTemplateNameForRestricted1)

### getDefaultTemplateNameForRestricted2

    public java.lang.String getDefaultTemplateNameForRestricted2()

### setDefaultTemplateNameForRestricted2

    public void setDefaultTemplateNameForRestricted2(java.lang.String defaultTemplateNameForRestricted2)

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getMetaId

    public java.lang.Integer getMetaId()

### setMetaId

    public void setMetaId(java.lang.Integer metaId)